{% extends "customers/base.html" %}
{% load i18n %}

{% block title %} Detalle de Inspección de Calidad {% endblock %}

{% block page %}
<!-- begin breadcrumb -->
<ol class="breadcrumb float-xl-right">
	<li class="breadcrumb-item"><a href="{% url 'home' %}">Home</a></li>
  <li class="breadcrumb-item"><a href="{% url 'call-qa-list' %}">Inspecciones de calidad</a></li>
  <li class="breadcrumb-item active">Detalle</li>
</ol>
<!-- end breadcrumb -->

<!-- begin page-header -->
<h1 class="page-header">Inspección de calidad <small>detalle</small></h1>
<!-- end page-header -->

	<!-- begin row -->
	<div class="row">
      <!-- begin col-12 -->
      <div class="col-xl-12 ui-sortable">
        <!-- begin panel -->
        <div class="panel panel-inverse" data-sortable-id="ui-general-1">
          <!-- begin panel-heading -->
          <div class="panel-heading ui-sortable-handle">
            <h4 class="panel-title">Inspección de calidad</h4>
            <div class="panel-heading-btn">
              <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-default" data-click="panel-expand"><i class="fa fa-expand"></i></a>
              <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-success" data-click="panel-reload"><i class="fa fa-redo"></i></a>
              <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-warning" data-click="panel-collapse"><i class="fa fa-minus"></i></a>
              <a href="javascript:;" class="btn btn-xs btn-icon btn-circle btn-danger" data-click="panel-remove"><i class="fa fa-times"></i></a>
            </div>
          </div>
          <!-- end panel-heading -->
          <!-- begin panel-body -->
          <div class="panel-body">
              <div class="row mb-3">
                  <div class="col-sm-12 col-md-12">
                    <a class="btn btn-warning btn-sm pull-right ml-1" href="{% url 'call-qa-update' object.pk%}">Editar</a>
                  </div>
                </div>

    <table class="table">
        <tr>
          <td><strong>ID</strong></td><td>{{ object.id }}</td>
        </tr>
        <tr>
          <td><strong>TIPO</strong></td><td>{{ object.get_kind_display  }}</td>
        </tr>
        {% if object.kind == 2 %}
        <tr>
          <td><strong>CANAL</strong></td><td>{{ object.channel  }}</td>
        </tr>
        {% endif %}
        <tr>
          <td><strong>FECHA DE CONTACTO</strong></td><td>{{ object.call_date|date:"d-m-Y" }}</td>
        </tr>
        <tr>
          <td><strong>HORA DE CONTACTO</strong></td><td>{{ object.call_time }}</td>
        </tr>
        <tr>
          <td><strong>EXTENSIÓN VOIP NOW</strong></td><td>{{ object.agent  }}</td>
        </tr>
        <tr>
          <td><strong>TELÉFONO CLIENTE</strong></td><td>{{ object.customer_phone  }}</td>
        </tr>
        <tr>
          <td><strong>CORREO CLIENTE</strong></td><td>{{ object.email  }}</td>
        </tr>
        <tr>
          <td><strong>RUT</strong></td><td>{{ object.rut  }}</td>
        </tr>
        <tr>
          <td><strong>SERVICIO</strong></td>
          <td>
            {% if services %}
              {% for service in services %}
                {{ service.1 }}<br/>
              {% endfor %}
            {% else %}
              Sin Servicio
            {% endif %}
          </td>
        </tr>
        <tr>
          <td><strong>CONTRATACIÓN DEL SERVICIO</strong></td>
          <td>
            {% if object.get_service_hiring_display %}
              {{ object.get_service_hiring_display  }}
            {% else %}
              N/A
            {% endif %}
          </td>
        </tr>
        <tr>
          <td><strong>TIPIFICACIÓN</strong></td><td>{{ typing }}</td>
        </tr>
        <tr>
          <td><strong>CATEGORIA</strong></td><td>{{ category  }}</td>
        </tr>
        <tr>
          <td><strong>SUBCATEGORIA</strong></td><td>{{ subcategory  }}</td>
        </tr>
        <tr>
          <td><strong>DIRECCIÓN</strong></td><td>{{ object.address  }}</td>
        </tr>
        <tr>
          <td><strong>COMENTARIO QA</strong></td><td>{{ object.qa_comment  }}</td>
        </tr>
        <tr>
          <td><strong>CREADO POR</strong></td><td>{{ object.created_by  }}</td>
        </tr>
        <tr>
          <td><strong>FECHA DE CREACIÓN</strong></td><td>{{ object.created_at  }}</td>
        </tr>
        <tr>
          <td colspan="2">
            <table class="table scrolltable">
              <thead>
                <th scope="col" colspan="4" style="background-color:#bbbbbb;">Indicadores QA</th>
              </thead>
              <tbody>
                {% for indicator in indicators %}
                  <tr {% if not indicator.parent %}style="background-color: #e4e7ea;"{% endif %}>
                      <td>{{indicator}}</td>
                      <td class="indicator-choice text-center">{% if not indicator.parent %}<span data-name="percentage" data-id="{{ indicator.id }}"></span>{% else %}<input type="checkbox"  id="indicator-apply-{{indicator.id}}" data-name="indicator-apply" data-id="{{ indicator.id }}" value="{{ indicator.id }}" data-parent="{{ indicator.parent.id }}" title="No aplica" disabled/>{% endif %}</td>
                      <td class="text-center indicator-choice">{% if indicator.parent %}<input type="radio" name="indicator-{{indicator.id}}" data-name="indicator" data-id="{{ indicator.id }}" data-type="Y" value="{{ indicator.id }}" data-parent="{{ indicator.parent.id }}" disabled/>{% else %}Conforme{% endif %}</td>
                      <td class="text-center indicator-choice">{% if indicator.parent %}<input type="radio" name="indicator-{{indicator.id}}" data-name="indicator" data-id="{{ indicator.id }}" data-type="N" value="{{ indicator.id }}" data-parent="{{ indicator.parent.id }}" checked disabled/>{% else %}No Conforme{% endif %}</td>
                  </tr>
                {% endfor %}

              </tbody>
            </table>
          </td>
        </tr>
    </table>
  </div>
  <!-- end panel-body -->
</div>
<!-- end panel -->
</div>
</div>
<!-- end row -->

<!-- begin scroll to top btn -->
<a href="javascript:;" class="btn btn-icon btn-circle btn-success btn-scroll-to-top fade" data-click="scroll-top"><i class="fa fa-angle-up"></i></a>
<!-- end scroll to top btn -->
{% endblock %}

{% block pageleveljs %}
<script type="text/javascript">
  //active menu
  document.getElementById("qa_menu").classList.add("active");
  //active submenu item
  document.getElementById("callsqa_item").classList.add("active");
</script>
<script>
  $(document).ready(function () {
    {% if active_indicators %}
    active_indicators = {{ active_indicators }}
    active_indicators.forEach(function(val){
      $('input[data-name="indicator"][data-type="Y"][data-id="'+val+'"]').prop('checked',true);
    });
    {% endif %}

    apply_indicators = {{ apply_indicators }}
    apply_indicators.forEach(function(val){
      $('#indicator-apply-'+val).prop('checked',true);
    });

    function calculate_indicator(parent){
      var p = 100;
      $("input[data-name='indicator'][data-parent='"+parent+"']:checked").each(function(){
        if ($(this).data("type") == "N"){
          apply = $("#indicator-apply-"+$(this).data("id")).prop("checked");
          if (!apply){
            p = 0;
            return false;
          }
        }
      });
      $("span[data-id="+parent+"]").text(p+'%')
    }

    (function calculate_all_indicators(){
      $("input[data-name='indicator']:checked").each(function(){
        calculate_indicator($(this).data("parent"));
      });
    }());

  });
</script>
{% endblock %}
